Bug 535161 - (RHQ-1886) RFE: be able to somehow pre-assign affinity groups to currently unknown agents
RFE: be able to somehow pre-assign affinity groups to currently unknown agents
Status: NEW
Product: RHQ Project
Classification: Other
Component: High Availability (Show other bugs)
unspecified
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
http://jira.rhq-project.org/browse/RH...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-31 02:50 EDT by John Mazzitelli
Modified: 2014-05-05 14:08 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.4
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2009-03-31 02:50:00 EDT
Suppose I have a network layout that requires me to assign affinity groups to agents because there are some servers that agents just should not or cannot talk to.

It would be nice to setup some "rules" that pre-assign agents that are currently unknown to the system.

For example, "all new agents that register with agent names that match the pattern "*.subnet1.abc.com" should be assigned affinity group "Subnet1".

This would allow the agents to work as soon as they register. Otherwise, it would be possible for the new agent to get assigned a non-Subnet1 server since it does not get assigned to any affinity group at its start - and that could cause problems (e.g. what if the agent can see the server but the server can't see/ping the agent?)
Comment 1 Charles Crouch 2009-09-01 10:52:31 EDT
Moving features/improvements to 1.4
Comment 2 Red Hat Bugzilla 2009-11-10 15:48:47 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1886

Note You need to log in before you can comment on or make changes to this bug.